Mailinglist Archive: opensuse-security-announce (50 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:2335-1: important: Security update for MozillaFirefox
SUSE Security Update: Security update for MozillaFirefox
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:2335-1
Rating: important
References: #959277
Cross-References: CVE-2015-7201 CVE-2015-7202 CVE-2015-7205
CVE-2015-7210 CVE-2015-7212 CVE-2015-7213
CVE-2015-7214 CVE-2015-7222
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP1
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Server 12-SP1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Desktop 12-SP1
SUSE Linux Enterprise Desktop 12
______________________________________________________________________________

An update that fixes 8 vulnerabilities is now available.

Description:


MozillaFirefox was updated to version 38.5.0 ESR to fix the following
issues:

* MFSA 2015-134/CVE-2015-7201/CVE-2015-7202 Miscellaneous memory safety
hazards (rv:43.0 / rv:38.5)
* MFSA 2015-138/CVE-2015-7210 A use-after-free in WebRTC when datachannel
is used after being destroyed
* MFSA 2015-139/CVE-2015-7212 An integer overflow allocating extremely
large textures
* MFSA 2015-145/CVE-2015-7205 A underflow found through code inspection
* MFSA 2015-146/CVE-2015-7213 A integer overflow in MP4 playback in 64-bit
versions
* MFSA 2015-147/CVE-2015-7222 Integer underflow and buffer overflow
processing MP4 metadata in libstagefright
* MFSA 2015-149/CVE-2015-7214 Cross-site reading attack through data and
view-source URIs


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP1:

zypper in -t patch SUSE-SLE-SDK-12-SP1-2015-1001=1

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2015-1001=1

- SUSE Linux Enterprise Server 12-SP1:

zypper in -t patch SUSE-SLE-SERVER-12-SP1-2015-1001=1

- SUSE Linux Enterprise Server 12:

zypper in -t patch SUSE-SLE-SERVER-12-2015-1001=1

- SUSE Linux Enterprise Desktop 12-SP1:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP1-2015-1001=1

- SUSE Linux Enterprise Desktop 12:

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-1001=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP1 (ppc64le s390x
x86_64):

MozillaFirefox-debuginfo-38.5.0esr-54.1
MozillaFirefox-debugsource-38.5.0esr-54.1
MozillaFirefox-devel-38.5.0esr-54.1

- SUSE Linux Enterprise Software Development Kit 12 (ppc64le s390x x86_64):

MozillaFirefox-debuginfo-38.5.0esr-54.1
MozillaFirefox-debugsource-38.5.0esr-54.1
MozillaFirefox-devel-38.5.0esr-54.1

- SUSE Linux Enterprise Server 12-SP1 (ppc64le s390x x86_64):

MozillaFirefox-38.5.0esr-54.1
MozillaFirefox-debuginfo-38.5.0esr-54.1
MozillaFirefox-debugsource-38.5.0esr-54.1
MozillaFirefox-translations-38.5.0esr-54.1

- SUSE Linux Enterprise Server 12 (ppc64le s390x x86_64):

MozillaFirefox-38.5.0esr-54.1
MozillaFirefox-debuginfo-38.5.0esr-54.1
MozillaFirefox-debugsource-38.5.0esr-54.1
MozillaFirefox-translations-38.5.0esr-54.1

- SUSE Linux Enterprise Desktop 12-SP1 (x86_64):

MozillaFirefox-38.5.0esr-54.1
MozillaFirefox-debuginfo-38.5.0esr-54.1
MozillaFirefox-debugsource-38.5.0esr-54.1
MozillaFirefox-translations-38.5.0esr-54.1

- SUSE Linux Enterprise Desktop 12 (x86_64):

MozillaFirefox-38.5.0esr-54.1
MozillaFirefox-debuginfo-38.5.0esr-54.1
MozillaFirefox-debugsource-38.5.0esr-54.1
MozillaFirefox-translations-38.5.0esr-54.1


References:

https://www.suse.com/security/cve/CVE-2015-7201.html
https://www.suse.com/security/cve/CVE-2015-7202.html
https://www.suse.com/security/cve/CVE-2015-7205.html
https://www.suse.com/security/cve/CVE-2015-7210.html
https://www.suse.com/security/cve/CVE-2015-7212.html
https://www.suse.com/security/cve/CVE-2015-7213.html
https://www.suse.com/security/cve/CVE-2015-7214.html
https://www.suse.com/security/cve/CVE-2015-7222.html
https://bugzilla.suse.com/959277

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages